diff -pruN 4.3.10+dfsg-3/debian/changelog 4.3.10+dfsg-4/debian/changelog
--- 4.3.10+dfsg-3/debian/changelog	2021-02-22 13:37:15.000000000 +0000
+++ 4.3.10+dfsg-4/debian/changelog	2021-03-06 16:44:01.000000000 +0000
@@ -1,3 +1,9 @@
+cpl-plugin-visir (4.3.10+dfsg-4) unstable; urgency=medium
+
+  * Check SHA sum for downloaded calibration file (Closes: #984508)
+
+ -- Ole Streicher <olebole@debian.org>  Sat, 06 Mar 2021 17:44:01 +0100
+
 cpl-plugin-visir (4.3.10+dfsg-3) unstable; urgency=medium
 
   [ Helmut Grohne ]
diff -pruN 4.3.10+dfsg-3/debian/cpl-plugin-calib.postinst.in 4.3.10+dfsg-4/debian/cpl-plugin-calib.postinst.in
--- 4.3.10+dfsg-3/debian/cpl-plugin-calib.postinst.in	2016-11-20 09:32:18.000000000 +0000
+++ 4.3.10+dfsg-4/debian/cpl-plugin-calib.postinst.in	2021-03-06 16:42:14.000000000 +0000
@@ -4,6 +4,7 @@
 
 PIPELINE=__PIPELINE__
 VERSION=__VERSION__
+SHASUM=__SHASUM__
 
 CALIB=${PIPELINE}-calib-${VERSION}
 COMPONENTS="${CALIB}/cal"
@@ -20,14 +21,18 @@ if [ "$1" = "configure" ] ; then
 	URL=ftp://ftp.eso.org/pub/dfs/pipelines/${PIPELINE}/${KIT}.tar.gz
 	TAR=${KIT}/${CALIB}.tar.gz
 
-	wget -O- ${URL} | \
-	    tar xzO ${TAR} | \
-	    tar xzC ${TARGETDIR} ${COMPONENTS} --strip-components=1
-
-	if [ $? = 0 ] ; then
+	wget -O- ${URL} | tar xzC ${TARGETDIR} ${TAR}
+	if [ ! $? = 0 ] ; then
+	    rm -rf ${TARGETDIR}/${KIT}
+	    continue
+	fi
+	if echo "${SHASUM} *${TARGETDIR}/${TAR}" | shasum -qc - ; then
+	    tar xzf ${TARGETDIR}/${TAR} -C ${TARGETDIR} ${COMPONENTS} --strip-components=1
+	    rm -rf ${TARGETDIR}/${KIT}
 	    downloaded=1
 	    break
 	fi
+	rm -rf ${TARGETDIR}/${KIT}
     done
 fi
 
diff -pruN 4.3.10+dfsg-3/debian/patches/Add-shasum-file.patch 4.3.10+dfsg-4/debian/patches/Add-shasum-file.patch
--- 4.3.10+dfsg-3/debian/patches/Add-shasum-file.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.3.10+dfsg-4/debian/patches/Add-shasum-file.patch	2021-03-06 16:43:32.000000000 +0000
@@ -0,0 +1,17 @@
+From: Ole Streicher <olebole@debian.org>
+Date: Sat, 6 Mar 2021 15:16:16 +0100
+Subject: Add shasum file
+
+This is temporary, to avoid a new upstream (dfsg) version
+---
+ calib/cal_shasum | 1 +
+ 1 file changed, 1 insertion(+)
+ create mode 100644 calib/cal_shasum
+
+diff --git a/calib/cal_shasum b/calib/cal_shasum
+new file mode 100644
+index 0000000..f66707b
+--- /dev/null
++++ b/calib/cal_shasum
+@@ -0,0 +1,1 @@
++d710b5739b4a2bc705994b1cbfe2b9058ef9c7c7
diff -pruN 4.3.10+dfsg-3/debian/patches/series 4.3.10+dfsg-4/debian/patches/series
--- 4.3.10+dfsg-3/debian/patches/series	2020-08-02 14:41:31.000000000 +0000
+++ 4.3.10+dfsg-4/debian/patches/series	2021-03-06 16:42:31.000000000 +0000
@@ -4,3 +4,4 @@ Increase-tolerance-to-fix-FTBS-on-mips-m
 Force-serial-tests-to-get-better-verbose-output.patch
 Replace-the-swarp-build-date-with-the-last-changed-date-o.patch
 Don-t-build-swarp-convenience-copy.-Closes-957105.patch
+Add-shasum-file.patch
diff -pruN 4.3.10+dfsg-3/debian/repackage.sh 4.3.10+dfsg-4/debian/repackage.sh
--- 4.3.10+dfsg-3/debian/repackage.sh	2016-11-20 09:32:18.000000000 +0000
+++ 4.3.10+dfsg-4/debian/repackage.sh	2021-03-06 16:42:14.000000000 +0000
@@ -50,6 +50,9 @@ tar xf ${BASEDIR}/${PIPELINE}-kit-${UVER
 mv ${BASEDIR}/${PIPELINE}-${VERSION}/${PIPELINE}-calib-${VERSION}/ \
    ${BASEDIR}/${PIPELINE}-${VERSION}/calib/
 if [ $INCLUDE_CALIB = "no" ] ; then
+  shasum -b ${BASEDIR}/${PIPELINE}-kit-${UVERSION}/${PIPELINE}-calib-${VERSION}.tar.gz\
+      | cut -d\  -f1 \
+      > ${BASEDIR}/${PIPELINE}-${VERSION}/calib/cal_shasum
   du -s ${BASEDIR}/${PIPELINE}-${VERSION}/calib/cal | cut -f1 \
       > ${BASEDIR}/${PIPELINE}-${VERSION}/calib/cal_size
   rm -rf ${BASEDIR}/${PIPELINE}-${VERSION}/calib/cal
diff -pruN 4.3.10+dfsg-3/debian/rules 4.3.10+dfsg-4/debian/rules
--- 4.3.10+dfsg-3/debian/rules	2021-02-22 13:37:10.000000000 +0000
+++ 4.3.10+dfsg-4/debian/rules	2021-03-06 16:42:14.000000000 +0000
@@ -6,6 +6,7 @@ include  /usr/share/dpkg/pkg-info.mk
 
 VERSION ?= $(shell echo '$(DEB_VERSION)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/+.*//')
 PIPELINE ?= $(shell echo '$(DEB_SOURCE)' | sed -e 's/cpl-plugin-//')
+SHASUM ?= $(shell cat calib/cal_shasum)
 
 get-orig-source:
 	sh ./debian/repackage.sh
@@ -21,7 +22,7 @@ debian_files:
 	    dfiles=".install -doc.manpages -doc.docs -doc.doc-base -calib.postinst -calib.prerm -calib.lintian-overrides" ; \
 	fi ; \
 	for f in $$dfiles ; do \
-	    sed "s/__VERSION__/$(VERSION)/g;s/__PIPELINE__/${PIPELINE}/g" \
+	    sed "s/__VERSION__/$(VERSION)/g;s/__PIPELINE__/${PIPELINE}/g;s/__SHASUM__/${SHASUM}/g" \
 	        < debian/cpl-plugin$$f.in \
                 > debian/${DEB_SOURCE}$$f ; \
 	done
